#!/bin/sh
# $Id: t-subjectAltName-0.sh,v 1.4 2013/09/30 03:32:29 ca Exp $
#
# Copyright (c) 2013 Claus Assmann
#
# By using this file, you agree to the terms and conditions set
# forth in the license/LICENSE.3C file which can be found at the
# top level of this source code distribution.
#

# ---------------------------
# test matching a hostname against subjectAltName in a cert
# ---------------------------

test -s stop && exit 1
#

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../checks
fi
VERBOSE=false

ERRORS=0
PRG=./t-cert-0
if $PRG -v 2>&1 | fgrep MTA_USE_TLS >/dev/null
then
  :
else
  echo "$0: SKIPPED, $PRG not compiled with MTA_USE_TLS"
  exit 0
fi

# get certs (XREF: t-cert-0.c)
for pems in CAalt.pem altcert.pem altkey.pem
do
  test -s $pems || cp $SD/$pems .
done
# create cert directory (XREF: t-cert-0.c)
CERTD=certs
test -s ${CERTD} || mkdir ${CERTD}

TEST=0
for nsa in "mail.meta1.org:mail.meta1.org" "www.meta1.org:www.meta1.org" "meta1.org:" "mta.meta1.org:*.meta1.org"
do
  TEST=`expr ${TEST} + 1 `
  n=`echo "$nsa" | cut -d: -f1`
  sa=`echo "$nsa" | cut -d: -f2`
  ${VERBOSE} && echo "in:$n expect:$sa"
  got=`$PRG $n 2>&1 | fgrep 'subjectAltName=' | cut -d= -f2`
  if test "X${sa}" = "X${got}"
  then
	:
  else
    echo "$0: ${TEST} fail: in:$n expect:$sa got:$got"
    ERRORS=`expr ${ERRORS} + 1 `
  fi
done

exit ${ERRORS}
