#!/bin/sh
# $Id: t-t2821-0.sh,v 1.17 2006/10/05 03:32:54 ca Exp $
# Copyright (c) 2003-2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
test -s stop && exit 1
#
IN=t2821_parse.in
OUT=t2821_parse.out
ERR=t2821_parse.err
ERRORS=0
./t-t2821-0 $@ > ${OUT} 2> ${ERR} <<EOF
<.@meta1.org>
<a.@meta1.org>
<local@meta1.org>
<local.x@meta1.org>
<local.x.@meta1.org>
<@example.com:local@meta1.org>
<@example.com,@endmail.org:local@meta1.org>
<local@meta1..org>
<local@meta1.org.>
<l\oc@meta1.org>
<\l\oc@meta1.org>
<sm\@@meta1.org>
<sm\.@meta1.org>
<sm\.9@meta1.org>
<"local"@meta1.org>
<"s.9"@meta1.org>
<"s-9"@meta1.org>
<"s(9"@meta1.org>
<"s 9"@meta1.org>
<local@-endmail.org>
<local@meta1-.org>
<local@meta1.-org>
<local@meta1.or-g>
<local@meta1.or_g>
<local@meta1.or!g>
EOF

cat > ${IN} <<EOF
>>><.@meta1.org><<<
ERROR: 9b040206	>>><.@meta1.org><<<
<.@meta1.org>
>>><a.@meta1.org><<<
ERROR: 9b04020b	>>><a.@meta1.org><<<
<a.@meta1.org>
>>><local@meta1.org><<<
OK	>>><local@meta1.org><<<
<local@meta1.org>
>>><local.x@meta1.org><<<
OK	>>><local.x@meta1.org><<<
<local.x@meta1.org>
>>><local.x.@meta1.org><<<
ERROR: 9b04020b	>>><local.x.@meta1.org><<<
<local.x.@meta1.org>
>>><@example.com:local@meta1.org><<<
OK	>>><@example.com:local@meta1.org><<<
<local@meta1.org>
>>><@example.com,@endmail.org:local@meta1.org><<<
OK	>>><@example.com,@endmail.org:local@meta1.org><<<
<local@meta1.org>
>>><local@meta1..org><<<
ERROR: 9b04020e	>>><local@meta1..org><<<
<local@meta1..org>
>>><local@meta1.org.><<<
ERROR: 9b04020e	>>><local@meta1.org.><<<
<local@meta1.org.>
>>><l\oc@meta1.org><<<
OK	>>><l\oc@meta1.org><<<
<loc@meta1.org>
>>><\l\oc@meta1.org><<<
OK	>>><\l\oc@meta1.org><<<
<loc@meta1.org>
>>><sm\@@meta1.org><<<
OK	>>><sm\@@meta1.org><<<
<sm\@@meta1.org>
>>><sm\.@meta1.org><<<
OK	>>><sm\.@meta1.org><<<
<sm\.@meta1.org>
>>><sm\.9@meta1.org><<<
OK	>>><sm\.9@meta1.org><<<
<sm\.9@meta1.org>
>>><"local"@meta1.org><<<
OK	>>><"local"@meta1.org><<<
<local@meta1.org>
>>><"s.9"@meta1.org><<<
OK	>>><"s.9"@meta1.org><<<
<"s.9"@meta1.org>
>>><"s-9"@meta1.org><<<
OK	>>><"s-9"@meta1.org><<<
<s-9@meta1.org>
>>><"s(9"@meta1.org><<<
OK	>>><"s(9"@meta1.org><<<
<"s(9"@meta1.org>
>>><"s 9"@meta1.org><<<
OK	>>><"s 9"@meta1.org><<<
<"s 9"@meta1.org>
>>><local@-endmail.org><<<
ERROR: 9b040211	>>><local@-endmail.org><<<
<local@-endmail.org>
>>><local@meta1-.org><<<
ERROR: 9b040211	>>><local@meta1-.org><<<
<local@meta1-.org>
>>><local@meta1.-org><<<
ERROR: 9b040211	>>><local@meta1.-org><<<
<local@meta1.-org>
>>><local@meta1.or-g><<<
OK	>>><local@meta1.or-g><<<
<local@meta1.or-g>
>>><local@meta1.or_g><<<
ERROR: 9b040211	>>><local@meta1.or_g><<<
<local@meta1.or_g>
>>><local@meta1.or!g><<<
ERROR: 9b040211	>>><local@meta1.or!g><<<
<local@meta1.or!g>
EOF

diff ${OUT} ${IN}
if test $? -ne 0
then
  ERRORS=`expr ${ERRORS} + 1 `
fi

if test ${ERRORS} -eq 0
then
  rm -f ${IN} ${OUT} ${ERR}
fi
exit ${ERRORS}
