#!/bin/sh
# $Id: t-tls-reqr-6.sh,v 1.4 2013/10/21 01:46:52 ca Exp $
#
# Copyright (c) 2013 Claus Assmann
#
# By using this file, you agree to the terms and conditions set
# forth in the license/LICENSE.3C file which can be found at the
# top level of this source code distribution.
#
# ----------------------------------------
# test TLS requirements in smtpc; use chain of CAs
# creates two MTA (one in chkmts, one in qmgr) to use STARTTLS
# run smtpcnf.sh with different parameters
# ----------------------------------------
#

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

tlsrintro "$@"
setuptlsr0 "" "tls { verify_depth=2; }" "smtpc_rcpt_conf:@local.dom	tls_requirements { flags={verified}; }" "tls { cert_file=cert4.pem; key_file=key4.pem; CAcert_file = ${CAS}; }"

# ----------------------------------------
# test: send mail to sink, requirements not fulfilled
# because verify_depth is set too low
TEST=1
if echo " ${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
ERR=false

# get all CAs that signed the cert
rm -f ${CAS}
cat certs/CA?.cert.pem > ${CAS}

if ${SHELL} ${SD}/smtpcnf.sh -F ${SRVPORT} -3 lmtpsock -Ssender${TEST}@other.dom -Ruser@local.dom -E 0 -X 0 -A 1
then
  if test -s ${B1}
  then
    ${VERBOSE} && echo "$0: test ${TEST} failed: found ${B1}"
    ERR=true
  fi
else
  ERR=true
fi
if ${ERR}
then
   echo "$0: test ${TEST} failed"
   ERRS=`expr ${ERRS} + 1 `
   test X"${MTA_STOPONERROR}" != X && exit 1
fi
rm -f ${B1}
else
  ${VERBOSE} && echo "$0: test ${TEST} SKIPPED"
fi


testend rmb
