/*
 * $Id: t-prdcns-0.h,v 1.7 2010/09/04 03:01:33 ca Exp $
 */

/*
protocol:

consumer:
thread 1:
receive an integer (4 byte) which represents an id.
  add that id to queue
  if queue is full or filled over a certain level signal thread 2

thread 2:
read ids from queue, send them back
  at the end (? empty? some number?) send a negative number that
  represents the number of free entries ("window size").

producer:
thread 1:
send integers (4 byte) which represent ids.
  mark id "busy" in array
do something with throttling based on "window size"

thread 2:
receive integers from consumer:
  >0: mark id "free" in array
  <=0: (-) max number of entries to send ("window size")
*/

#define MYSOCK	"pcsock"

#define T_QS	256

static int Verbose = 0;
static long reps = 0;
static bool stop = false;

static long q_sent, q_rcvd;

#define SM_TEST(x)	assert(x)
#define SM_TEST_E(x)	assert(x)

#define PBUFSZ	4

sm_ret_T
dbg_print(const char *format, ...)
{
	va_list va;
	sm_ret_T ret;
	int rc;
	char *logstr;
	struct timeval now;

	ret = gettimeofday(&now, NULL);
	logstr = NULL;
	va_start(va, format);
	rc = sm_vasprintf(&logstr, format, va);
	va_end(va);
	if (rc != 0)
		ret = sm_err_perm(rc);
	sm_io_fprintf(smioerr, "%d.%06ld %s", now.tv_sec, now.tv_usec, logstr);
	SM_FREE(logstr);
	return ret;
}
