#!/bin/sh
# $Id: t-conf-0.sh,v 1.8 2013/10/21 00:39:00 ca Exp $
# Copyright (c) 2011 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.

# ---------------------------
# invoke smtpc to print some configuration files, check return codes
# ---------------------------

test -s stop && exit 1              

PRG=./smtpc
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../smtpc
fi
. ${SD}/../check2/common.sh

T=`basename $0 .sh`
CONF=${T}.conf
OUT=${T}.out
ERR=0

# ---------------------------
# empty config file: ok...
TEST=1
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { }
EOF
conftest 0

# ---------------------------
# broken config file
TEST=2
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { bogus_option=1; }
EOF
conftest 78

if chkcto $PRG SC_SESS_FEATS
then
# ---------------------------
# ok
TEST=3
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { session_features notls { flags = { -starttls }} }
EOF
conftest 0

# ---------------------------
# ok
TEST=4
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { session_features tls1 {  tls { cert_file = "mycert.pem"; }}}
EOF
conftest 0

# ---------------------------
# broken config file
TEST=5
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { session_features tls1 { tls { cacert_file = "cacert.pem"; }}}
EOF
conftest 78
fi

if chkcto $PRG MTA_USE_TLS
then
# ---------------------------
# broken config file
TEST=6
rm -f ${CONF} ${OUT}
cat > ${CONF} <<EOF
smtpc { tls { verify_depth=18; } }
EOF
conftest 78
fi

rm -f ${CONF} ${OUT}

exit $ERR
